%if %{?fedora}
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pypi_name num2words

Name:           python-%{pypi_name}
Version:        0.5.3
Release:        3%{?dist}
Summary:        Python 2 modules to convert numbers to words

License:        LGPLv2+ 
URL:            https://github.com/savoirfairelinux/num2words
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%endif # if with_python3

%description
Convert numbers to words in multiple languages, it is a library that 
converts numbers like ``42`` to words like ``forty-two``. 
It supports multiple languages (English, French, Spanish, German and Lithuanian)
and can even generate ordinal numbers like ``forty-second`` 

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python 3 modules to convert numbers to words
Group:          Development/Libraries
Requires:       python3

%description -n python3-%{pypi_name}
Convert numbers to words in multiple languages, it is a library that 
converts numbers like ``42`` to words like ``forty-two``. 
It supports multiple languages (English, French, Spanish, German and Lithuanian)
and can even generate ordinal numbers like ``forty-second`` for Python 3

%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%files
%doc README.rst
%license COPYING
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license COPYING
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com> 
- 0.5.3-2
- Fix requires python3 for python2 package

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com> 
- 0.5.3-1
- Update to 0.5.3 release

* Wed Jun 03 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-6
- Initial importing of #1223623

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-5
- Exclude test files

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-4
- Move test files under the %%{pypi_name} directory
- Include test files in a devel package
- Fix %%license tag

* Sat May 30 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-3
- Add suport for Pyhton3
- Use %%license file from Github
- Include test files in package

* Fri May 29 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-2
- Remove /test after %%check

* Thu May 21 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 0.5.2-1
- Initial package.
